//*****************************************************************************/
//	PROJECT:	GLCD Library
// 	FILE NAME: 	main.c
// 	AUTHOR:		EA4FRB - Melchor Varela
// 	DESCRIPTION  
//	Graphics-LCD demo program
// 	HISTORY
///	NAME   	DATE		REMARKS
//	MVM	   	July 2010	Creation
//*****************************************************************************/

#include <stdlib.h>
#include <device.h>
#include "glcd.h"
#include "fonts.h"
//#include "bitmap-demo.c"      //             
#include "kazus.c"                //       g_BitMap_Demo

char HEADER[] = {136,140,136,146,128,150,136,159,32,145,136,131,141,128,139,128,00};

uint8 sineTable[64] =  {127,152,176,198,217,233,245,252,254,252,245,233,217,198,176,152,127,103,79,57,38,22,10,3,0,3,10,22,38,57,79,103,
127,152,176,198,217,233,245,252,254,252,245,233,217,198,176,152,127,103,79,57,38,22,10,3,0,3,10,22,38,57,79,103};

//                                                                                               
// 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159

//#############################################################################
//  FUNCTION NAME:	   main
void main()
{
	GLCD_Init();
    GLCD_ClrScr(1);
     
  
    char text[] = {145,32,141,142,130,155,140,32,131,142,132,142,140,32,33,00}; //  ! -   .
     
		GLCD_SetInvert(GLCD_MODE_NORMAL);   // Sets normal or inverse mode
  		GLCD_ScreenBitmap(g_BitMap_Demo);	//  kazus.c     "g_BitMap_Demo"
        GLCD_Text(27, 47, FONT_FIVE_DOT,"");    //  
        GLCD_Text(27, 56, FONT_FIVE_DOT,"");    //  ALT-128   ..
        GLCD_Update(45,63);;   // Copy buffer-RAM to display-RAM

        uint8 ii;

	for(;;)
    {
            Pin_1_Write(Pin_1_Read()^1);  //    
                   
            CyDelay(75);
              if (ii < 64) 
            {
                GLCD_Box(0, 32, ii, 10, GLCD_MODE_CLEAR); 
                GLCD_Text(ii, 32, FONT_FIVE_DOT,text);
                ii++;
            }
            else
            {
                GLCD_Box(127-ii, 32, 127, 10, GLCD_MODE_CLEAR); 
                GLCD_Text(127-ii, 32, FONT_FIVE_DOT,text);
                ii++;
                if (ii > 127) ii=0; 
            }
            
            GLCD_Update(32,40);
    }
}

/* [] END OF FILE */
